Package org.linphone.core

# Interface MagicSearchListener

All Known Implementing Classes:
  `MagicSearchListenerStub`

public interface MagicSearchListener
`MagicSearchListener` is an interface to be notified of results of
contact searches initiated from the `MagicSearch`.
see: `MagicSearch.addListener(org.linphone.core.MagicSearchListener)`

## Method Summary

Modifier and Type
Method
Description
`void`
`onLdapHaveMoreResults(MagicSearch magicSearch, Ldap ldap)`
Deprecated.
`void`
`onMoreResultsAvailable(MagicSearch magicSearch, MagicSearch.Source source)`
Deprecated.
`void`
`onResultsLimitReached(MagicSearch magicSearch, int sourcesFlag)`
Gets the callback notifying the search results limit has been reached, which
means more results are available for currently set query parameters and thus
user should refine its request.
`void`
`onSearchResultsReceived(MagicSearch magicSearch)`
Gets the received results callback.

## Method Details

### onSearchResultsReceived

void onSearchResultsReceived(@NonNull MagicSearch magicSearch)
Gets the received results callback.

### onLdapHaveMoreResults

@Deprecated void onLdapHaveMoreResults(@NonNull MagicSearch magicSearch, @NonNull Ldap ldap)
Deprecated.
Gets the ldap callback on having more results.

### onMoreResultsAvailable

@Deprecated void onMoreResultsAvailable(@NonNull MagicSearch magicSearch, MagicSearch.Source source)
Deprecated.
Gets the callback notifying more results for a source flag are available.

### onResultsLimitReached

void onResultsLimitReached(@NonNull MagicSearch magicSearch, int sourcesFlag)
Gets the callback notifying the search results limit has been reached, which
means more results are available for currently set query parameters and thus
user should refine its request.